2018-08-19 20:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002534OpenFOAM[All Projects] Bugpublic2018-08-08 04:14
Reportersitajeje 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusnewResolutionopen 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Version4.0 
Target VersionFixed in Version 
Summary0002534: singleGraph does not function in "chtMultiRegionFoam -postProcess"
DescriptionAfter completion of computation with chtMultiRegionFoam, the singleGraph was applied with postProcess to acquire the temperature of a line of cells. The following text appeared on the terminal without generation of the folder of the time step.

--> FOAM Warning :
From function Foam::label Foam::sampledSets::classifyFields()
in file sampledSet/sampledSets/sampledSetsGrouping.C at line 140
Cannot find registered field matching T
Steps To Reproducecomment functions {} in system/controlDict
run ./Allrun
uncomment functions {} in system/controlDict
run postProcess -func singleGraph
Additional InformationChris suggested me to report an issue here during his training course this week in Berlin.
TagssingleGraph
Attached Files
  • gz file icon singleGraphChtSolvers.tar.gz (5,702 bytes) 2017-04-29 18:04
  • ? file icon singleGraph0 (901 bytes) 2018-08-08 04:14 -
    /*--------------------------------*- C++ -*----------------------------------*\
      =========                 |
      \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
       \\    /   O peration     |
        \\  /    A nd           | Web:      www.OpenFOAM.org
         \\/     M anipulation  |
    -------------------------------------------------------------------------------
    Description
        Writes graph data for specified fields along a line, specified by start
        and end points.
    
    \*---------------------------------------------------------------------------*/
    
    #includeEtc "caseDicts/postProcessing/graphs/sampleDict.cfg"
    
    start   (1.0 -0.05 5e-3);
    end     (1.0 0.05 5e-3);
    fields  (T);
    region  liquid;
    
    setConfig
    {
        type    lineCellFace;
        axis    y;
    }
    
    #includeEtc "caseDicts/postProcessing/graphs/graph.cfg"
    
    // ************************************************************************* //
    
    ? file icon singleGraph0 (901 bytes) 2018-08-08 04:14 +

-Relationships
related to 0002535resolvedhenry postProcess utility doesn't work for multiregion cases 
+Relationships

-Notes

~0008054

wyldckat (updater)

There are two reports that are nearly identical, namely this one and #2535. Nonetheless, I did not close one of them because there are two somewhat separate issues for the same problem, for which I've change the title on this report slightly to refer to the "-postProcess" option in the cht solvers, because:

  1. The utility 'postProcess' does not load regions automatically, which is reported on both #2534 and #2535.

  2. The solvers 'chtMultiRegionFoam' and 'chtMultiRegionSimpleFoam' do load the regions when using the option '-postProcess', but would not handle properly the example given in the report on #2535, possibly because it failed to load the field "finalAgglom", after running in parallel.


Given the similarity of the two reports, I've somewhat assigned to this report the issue related to using '-postProcess' in the solvers and to #2535 the issue with the 'postProcess' utility.

~0008056

wyldckat (updater)

I've looked into the attached case on this report and there is an ambiguity regarding the real issue, because there are actually 2 situations:

 1. If instead of "postProcess" we use "chtMultiRegionFoam -postProcess", the function object "singleGraph" could work as intended.

 2. But the function object "singleGraph" does not have any regions assigned to it.

Since the issue with the "postProcess" utility is assigned to the other report #2535 and since "chtMultiRegionFoam -postProcess" seems to be working fine if we define the region, e.g.:

    region air;

Then what should be the feature that should be implemented here?

 a. Should "#includeFunc" have the functionality extended to support region selection?

 b. Should a new parameter "regions" be added to function objects to allow selecting multiple regions for a single function object, e.g. when we want to sample data across several regions as in this case?

~0008059

wyldckat (updater)

@Chris: The original report here was regarding the utility "postProcess" not working with multiple regions, which I diagnosed and reported on the sibling report here: https://bugs.openfoam.org/view.php?id=2535

In other words, the issue with "postProcess" was already fixed in commit 168b29e2cfc8062867ed30928d824188e0858630, which allows the user to select the region by using the argument "-region", e.g:

  postProcess -func singleGraph -region air


So my questions to @Chris are:

 1. Since @sitajeje mentioned you that this should be reported, does this mean that the issue is already solved?

 2. Or is this report associated to the ability to using a single function object for multiple regions?

~0008068

chris (manager)

I had not looked into the issue at all, until a few moments ago.

Perhaps a summary would help:

1) The post-processing can work but only on one region at a time.
2) It works when running a solver, either on-the-fly or with the -postProcess option, by adding a "region" entry into the function configuration file, e.g. singleGraph
3) It works as pure post-processing with the postProcess utility only with the -region option. A "region" entry into the function configuration file does nothing.

Possible extensions to the functionality are:
1) Having a "regions" entry that allows multiple regions in a single configuration file. That option would be fairly pointless unless output was merged into a single file, e.g. one graph from a line intersecting multiple regions.
2) Getting postProcess to scan for a region(s) entry in a function configuration file. Presumably -region would then over-ride any entry in a file.

I doubt this is a trivial piece of development. If not, I would leave it until broader redevelopment of CHT is undertaken at some point.

~0009918

SamMallinson (reporter)

When using chtMRF and wanting to plot profiles in different material regions, I create a singleGraph per region, with the following format (in this case for a material called liquid, with the temperature profile at x = 1 for -0.05 <= y <= 0.05):


start (1.0 -0.05 5e-3);
end (1.0 0.05 5e-3);
fields (T);
region liquid;
+Notes

-Issue History
Date Modified Username Field Change
2017-04-29 18:04 sitajeje New Issue
2017-04-29 18:04 sitajeje File Added: singleGraphChtSolvers.tar.gz
2017-04-29 18:04 sitajeje Tag Attached: singleGraph
2017-04-29 20:41 henry Priority high => normal
2017-04-29 20:41 henry Severity crash => feature
2017-05-01 19:53 wyldckat Relationship added related to 0002535
2017-05-01 20:00 wyldckat Summary singleGraph does not function in chtMultiRegionFoam => singleGraph does not function in "chtMultiRegionFoam -postProcess"
2017-05-01 20:13 wyldckat Note Added: 0008054
2017-05-01 21:16 wyldckat Note Added: 0008056
2017-05-01 22:15 wyldckat Note Added: 0008059
2017-05-02 17:20 chris Note Added: 0008068
2018-08-08 04:14 SamMallinson File Added: singleGraph0
2018-08-08 04:14 SamMallinson Note Added: 0009918
+Issue History